## hiera-py 0.0.1%2B20190629

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hiera-py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hiera-py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hiera-py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hiera-py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## hiera-py 0.0.1+20190629

=== requirements.txt ===
# Test dependencies.
mock
nose
nosexcover
pep8
pyflakes
tox

=== debian/changelog ===
hiera-py (0.0.1+20190629-2) unstable; urgency=medium

  * [13849b1] Remove Python2 package and related build environment
  * [eac233d] d/control: bump Standards-Version to 4.4.1
    No further changes needed.
  * [b928619] dh: move over to debhelper-compat
  * [0e48e9e] d/control: adding Rules-Requires-Root: no
  * [34e5367] d/watch: use git mode

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 17 Nov 2019 09:11:44 +0100

hiera-py (0.0.1+20190629-1) unstable; urgency=medium

  * initial packaging (Closes: #930973)
  * [5afb4ff] New upstream version 0.0.1+20190629
  * [db49812] first and basic debianization
  * [2dca9a5] autopkgtest: adding a first implementation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jun 2019 08:33:45 +0200

=== debian/control ===
Source: hiera-py
Section: python
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-mock,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tijuca/hiera-py.git
Vcs-Browser: https://salsa.debian.org/tijuca/hiera-py
Standards-Version: 4.4.1
Homepage: https://github.com/agx/hiera-py

Package: python-hiera-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-underscore,
Description: Documentation of the Python interface for the hiera hierarchical database
 This package contains the Sphinx based HTML documentation for the libraries
 python-hiera (Python2) and python3-hiera (Python3).
 .
 The documentation is build as a single HTML file which can be found as
 /usr/share/doc/python-hiera-doc/html/index.html.

Package: python3-hiera
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 hiera,
Description: Python language bindings for the hiera hierarchical database (Python 3)
 Hiera is a key/value lookup tool for configuration data, often used in Puppet
 and created and built to make Puppet better and let you set node-specific data
 without repeating yourself.
 .
 Hiera’s hierarchical lookups follow a “defaults, with overrides” pattern,
 meaning you specify common data once, and override it in situations where the
 default won’t work.
 .
 The hierarchical data can be organised as JSON, YAML, and EYAML files.
 .
 This package installs the library for Python 3 of the hiera bindings to work
 with formatted hierarchical data.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_DESTDIR_python3=debian/python3-hiera
#export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	cd docs && make clean
	dh_auto_clean

override_dh_install:
	cd docs && make singlehtml
	dh_install

=== debian/tests/control ===
Tests: smoke
Depends: puppet, python3-hiera
Restrictions: allow-stderr

=== debian/watch ===
# watch file for hiera-py
#

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
      https://github.com/agx/hiera-py.git \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
